import ConstructorOf from '@thats/utils/types/ConstructorOf';
import { IFocusable } from '../focuser/Focusable';
export interface IGrabbable extends IFocusable {
    isGrabbable: boolean;
    isGrabbed: boolean;
    grab(): void;
    ungrab(): void;
    onChangeGrabbed(v: boolean): void;
}
export default function Grabbable<T extends IFocusable>(Base: ConstructorOf<T>): ConstructorOf<T & IGrabbable>;
