import ConstructorOf from '@thats/utils/types/ConstructorOf';
import XRMass from '../../core/XRMass';
import { IFocusable } from '../focuser/Focusable';
import { IGrabbable } from '../grabber/Grabbable';
import { IMovable } from '../mover/Movable';
import { IResizable } from '../resizer/Resizable';
import { IRotatable } from '../rotater/Rotatable';
import { ISelectable } from '../selector/Selectable';
export default function MRRable<T extends XRMass>(Base: ConstructorOf<T>): ConstructorOf<T & IFocusable & ISelectable & IGrabbable & IResizable & IRotatable & IMovable>;
