import { XRInputSource, XRReferenceSpace } from 'three';
import { XRUpdateParams } from '../core/XRClass';
import XRController from '../core/XRController';
import ControllerType from '../enums/ControllerType';
export default class Quest2Controller extends XRController {
    static controllerType: ControllerType;
    refSpace: XRReferenceSpace;
    left: XRInputSource;
    right: XRInputSource;
    defaults(): any;
    init(): void;
    update(p?: XRUpdateParams): void;
    _onInputSourcesChange: any;
    onInputSourcesChange(): void;
    destroy(): void;
}
