export enum ShapeType {
	BOX = 'box',
	CYLINDER = 'cylinder',
	SPHERE = 'sphere',
	CAPSULE = 'capsule',
	CONE = 'cone',
	HULL = 'hull',
	HACD = 'hacd', //Hierarchical Approximate Convex Decomposition
	VHACD = 'vhacd', //Volumetric Hierarchical Approximate Convex Decomposition
	MESH = 'mesh',
	HEIGHTFIELD = 'heightfield',
}
export default ShapeType
