import { XRPose } from 'three';
import XRObject from '../core/XRObject';
import Cone from '../objects/Cone';
import Cylinder from '../objects/Cylinder';
export default class PlayerHand extends XRObject {
    private _triggerTouched;
    _hand: Cylinder;
    _ray: Cone;
    init(): void;
    set pose(pose: XRPose);
    set targetRayPose(pose: XRPose);
    set triggerTouched(v: boolean);
}
