"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const three_1 = require("three");
function computeHalfExtents(bounds, minHalfExtent, maxHalfExtent) {
    const halfExtents = new three_1.Vector3();
    return halfExtents
        .subVectors(bounds.max, bounds.min)
        .multiplyScalar(0.5)
        .clampScalar(minHalfExtent, maxHalfExtent);
}
exports.default = computeHalfExtents;
//# sourceMappingURL=computeHalfExtents.js.map