import ConstructorOf from '@thats/utils/types/ConstructorOf';
import XRController, { XRControllerConstructor } from '../../core/XRController';
import { IFocusable } from './Focusable';
export interface IFocuser extends XRController {
    focusTargets: IFocusable[];
}
export default function Focuser(): (typeof FocuserMixIn)[];
declare function FocuserMixIn<T extends XRController>(Base: XRControllerConstructor<T>): ConstructorOf<T & IFocuser>;
export {};
