import { PointLight as TPointLight } from 'three'
import XRClass from '../core/XRClass'
import XRLight from '../core/XRLight'

export default class PointLight extends XRClass(TPointLight) implements XRLight {
	defaults() {
		return { ...super.defaults(), distance: 10, decay: 20, intensity: 1 }
	}
}
