"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const loadScriptAsync_1 = __importDefault(require("@thats/utils/misc/loadScriptAsync"));
const wasmSupported_1 = __importDefault(require("@thats/utils/misc/wasmSupported"));
function loadAmmo(path, cb) {
    if (wasmSupported_1.default)
        (0, loadScriptAsync_1.default)(`${path}/ammo.wasm.js`, () => Ammo().then(cb));
    else
        (0, loadScriptAsync_1.default)(`${path}/ammo.js`, () => Ammo().then(cb));
}
exports.default = loadAmmo;
//# sourceMappingURL=loadAmmo.js.map