import XRObject from '../core/XRObject'
import randomVector3 from './randomVector3'
import setVector from './setVector'

export default function randomizePosition<T extends XRObject>(o: T, range: number): T {
	const v = randomVector3(range)
	setVector(o.position, v)
	return o
}
