import { Vector3 } from 'three'
import XYZ from '../types/XYZ'

export default function vector3A2T(v: Ammo.btVector3, offset: XYZ = { x: 0, y: 0, z: 0 }): Vector3 {
	return new Vector3(v.x() + offset.x, v.y() + offset.y, v.z() + offset.z)
}
