import SwitchWLabel from '@thatweb/core-mui/components/SwitchWLabel'
import React from 'react'
import BooleanParam from '../../params/BooleanParam'

interface BooleanParamBoxProps {
	param: BooleanParam
	onChange: (v: boolean) => void
}

export function BooleanParamBox({ param, onChange }: BooleanParamBoxProps) {
	return <SwitchWLabel label={param.label} checked={param.value} onChange={onChange} />
}
export default BooleanParamBox
